Subject: Re: Series enhancement queries

From: [email-masked] (Bob Ross)
Date: Mon, 2 Feb 98 10:55:58 PST

Atul:

Sorry for the delay in responding.  As previously mentioned, I and
several other people were out of town.  When I got back, I needed
to deal with several other issues requiring less thinking before
I could focus on your questions.

My responses are embedded in your questions.  Comments from others
are welcome.  this is being copied to the ibis reflector for
information.

Best Regards
Bob

> Date: Mon, 26 Jan 1998 23:45:20 +0500
> To: bobr (Bob Ross)
> From: "Atul P. Agarwal" <[email-masked]>
> Subject: Series enhancement queries

> Hello Bob

> Thank you for the previous clarifications. Here are some more
> queries on the Series enhancements.

> a) For the Series and Series_switch models which of the following
> keywords should be allowed or disallowed ? For the ones that are
> disallowed, should there be an error or warning ?

I am filling your table with only those entries for which the ERROR (E)
and WARNING (W) messages should be issued.  The rest are allowed.

W   >         [Model Spec]        Currently permitted even when not applicable
E   >         [Driver Schedule]
>         [Temperature Range]
>         [Voltage Range]             Previously defined reference hierarchy
>         [Pullup Reference]          still applies here, even if some are
>         [Pulldown Reference]        not used.
>         [POWER Clamp Reference]
>         [GND Clamp Reference]
E  >         [TTgnd]
E  >         [TTpower]
E  >         [Pulldown]
E  >         [Pullup]
E  >         [GND Clamp]
E  >         [POWER Clamp]
E  >         [Ramp]
E  >         [Rising Waveform]
E  >         [Falling Waveform]

> b) For the keywords above which are allowable for Series_switch, do they
> need to be specified twice, both under [On] and [Off] keywords if a user
> wants them to be meaningful both under the on and off states ?

Both [On] and [Off] should be required.  The both must be filled with
a meaningful entry (see below).  The keywords used under [On] could be
different than used under [Off].  For example the series switch sample
under eda.org/pup/ibis/samples/ver3.0/cbt.ibs  uses [Series MOSFET]
for the [On] model and [R Series] for a high impedance [Off] model.

> Is the [Series MOSFET] keyword valid under the [Off] keyword or should it be 
> specified only under the [On] keyword ? 

The [Series MOSFET] is invalid and meaningless under the [Off] keyword.

> c) If [Ramp] is not a required keyword for Series and Series_switch models
> there needs to be an editorial change under [Ramp]
> |
> Keyword: [Ramp]
> Required: Yes, except for inputs, terminators, Series and Series_switch model
> types.
> |

Thank you for that correction.  This will be made as an editioral correction.

> d) For the Series and Series_switch models which of the following
> sub parameters should be allowed or disallowed ? For the ones that are
> disallowed, should there be an error or warning ?

>         Polarity
>         Enable
>         Vinl
>         Vinh
>         C_comp 
>         Vmeas
>         Cref
>         Rref
>         Vref

The ibischk2 parser does not issue any warnings for non-used subparameters
under [Model].  None of the above are used, but no message should be
issued.  If we were to add such messages, then we would have to do
it for all model types, under [Model].

By other rules. C_comp remains required, but not used.

> e) Is an empty [On] or [Off] keyword section allowed ?
> |
> [On]
> [Off]
> [R_series] .......
> |

Empty [On] or [Off] sections should be flagged as an error.  While we
could default to a high impedance, I would rather require the model
developer to put in what he/she wants.  Otherwise we would not know
if the omission was a mistake or was intended.

> f) What is the maximum number of [Series MOSFET] keywords allowed per 
> series model. For the waveforms, the parser has a limit of 100.

This is not specified.  I would check against 100, just as with waveform
tables.  In practice, I do not expect to ever see that many [Series MOSFET]
models.  

> Can there be two [Series MOSFETS] keywords with the 
> same value for Vds  or should this be flagged as an error ?

This should be an Error since the tables could be different.  The
simulator could not process both.

> Thanks 

> atul

---

From: [email-masked] (Bob Ross)
Date: Tue, 3 Feb 98 15:05:53 PST

Atul:

My response is below and also copied to the IBIS reflector for
information.

Best Regards,
Bob

> From: "APT SOFTWARE AVENUES PVT.LTD" <[email-masked]>
> Reply-To: "APT SOFTWARE AVENUES PVT.LTD" <[email-masked]>
> To: Bob Ross <bobr>
> Subject: Re:  Series enhancement queries

> Hello Bob,

> With respect to your reply below, I want to make sure about the following
> which was my original intent of asking you the question.

> Any keyword, which is allowable for Series_MOSFET, can be specified twice,
> both under [On] and [Off], if the model developer wants that keyword to be
> meaningful in both the on and off states. For example, the [Voltage Range]
> keyword can be specified twice if the model developer wants different
> voltage ranges for on and off states. Similary for [Temperature Range]
> and all other keywords which are allowable.
>  

The [Voltage Range] or any power reference voltage and [Temperature Range]
keywords should appear only once and above the [On] and [Off] keywords.